import { ElementRef } from '@angular/core';
import { TranslationService } from '../../../services/translation.service';
import { DynamicFieldBaseComponent } from './dynamic-field-base.component';
import * as i0 from "@angular/core";
export declare class DynamicFieldImageComponent extends DynamicFieldBaseComponent {
    fileInput: ElementRef<HTMLInputElement>;
    previewUrl: string | null;
    isDragOver: boolean;
    constructor(translationService: TranslationService);
    ngOnInit(): void;
    triggerFileInput(): void;
    onFileSelected(event: Event): void;
    onDragOver(event: DragEvent): void;
    onDragLeave(event: DragEvent): void;
    onDrop(event: DragEvent): void;
    removeImage(): void;
    getAcceptHint(): string;
    private handleFile;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicFieldImageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicFieldImageComponent, "sia-dynamic-field-image", never, {}, {}, never, never, true, never>;
}
